--- dhclient-script	2008-07-01 14:42:52.000000000 -0400
+++ dhclient-script-arch	2008-07-01 14:41:43.000000000 -0400
@@ -35,14 +35,26 @@
        fi;
 fi;
 
+
 make_resolv_conf() {
   if [ -n "$new_domain_name_servers" ]; then
     : > /etc/resolv.conf
-    [ -n "$new_domain_name" ] && echo search $new_domain_name >/etc/resolv.conf
+    if [ -f "/etc/resolv.conf.tail" ]; then
+	    export tailname=`awk '/search/' /etc/resolv.conf.tail | sed -e 's/^search //'`
+	    logger $tailname
+	    export tailserver=`awk '/nameserver/' /etc/resolv.conf.tail | sed -e 's/^nameserver //'`
+	    logger $tailserver
+    else
+	    logger No /etc/resolv.conf.tail
+    fi
+    [ -n "$new_domain_name" ] && echo search $new_domain_name $tailname >/etc/resolv.conf
     chmod 644 /etc/resolv.conf
     for nameserver in $new_domain_name_servers; do
       echo nameserver $nameserver >>/etc/resolv.conf
     done
+    for new_tailserver in $tailserver; do
+      echo nameserver $new_tailserver >>/etc/resolv.conf
+    done
   fi
 }
 
